GET api/List/{listId}/Item/{id}?includeFile={includeFile}&extractText={extractText}&maxExtractedTextLength={maxExtractedTextLength}
Gets the item with the specified id, on the given listId
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| listId |
The id of the list |
string |
Required |
| id |
The id of the list item |
integer |
Required |
| includeFile |
An optional parameter. A boolean indicating if the file for the given list item should be returned in the result. By default the file will not be included. |
boolean |
Default value is False |
| extractText |
An optional parameter. A boolean indicating if readable text should be extracted from the file when possible. |
boolean |
Default value is False |
| maxExtractedTextLength |
An optional parameter. The maximum number of extracted text characters to return. |
integer |
Default value is 40000 |
Body Parameters
None.
Response Information
Resource Description
Returns a list item.
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.